Record an inbound SMS delivered by the provider
POST
/v1/messages/inbound
const url = 'https://api.vocapable.com/v1/messages/inbound';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"from_e164":"example","to_e164":"example","body":"example","provider_sid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/messages/inbound \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "from_e164": "example", "to_e164": "example", "body": "example", "provider_sid": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InboundMessageRequest
The normalized provider callback body (see the module docstring).
object
Examplegenerated
{ "from_e164": "example", "to_e164": "example", "body": "example", "provider_sid": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}